# All files / csv2json/libs/core fileline.js

0% Statements 0/6
100% Branches 0/0
0% Functions 0/1
0% Lines 0/6

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14

     var getEol = require("./getEol");
    /**
     * convert data chunk to file lines array
     * @param  {string} data  data chunk as utf8 string
     * @param  {object} param Converter param object
     * @return {Object}   {lines:[line1,line2...],partial:String}
     */
    module.exports = function(data, param) {
      var eol = getEol(data,param);
      var lines = data.split(eol);
      var partial = lines.pop();
      return {lines: lines, partial: partial};
    };